Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 454180 - gdm removed support for clearing entered password with Control-U
Summary: gdm removed support for clearing entered password with Control-U
Keywords:
Status: CLOSED UPSTREAM
Alias: None
Product: Fedora
Classification: Fedora
Component: gdm
Version: 9
Hardware: All
OS: Linux
high
low
Target Milestone: ---
Assignee: jmccann
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2008-07-06 02:38 UTC by Jim Radford
Modified: 2015-01-14 23:21 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2008-07-08 13:56:04 UTC


Attachments (Terms of Use)

Description Jim Radford 2008-07-06 02:38:56 UTC
Most unix/linux password prompts, shell prompts and gtk text entry boxes support
using Control-U to clear the previously entered text.  Somehow the latest gdm
seems to have (accidentally I hope) broken/removed support for this.  This used
to work on all previous version of RedHat and Fedora including and up to Fedora 8.

Supporting this feature should take no effort since gtk entries support this by
default.  I don't see this explicitly being disabled in the source, but I could
just have missed, so maybe it's a bug?

I'm using gdm-2.22.0-8.fc9.x86_64.

Comment 1 Ray Strode [halfline] 2008-07-07 15:01:52 UTC
Hey Jim,

Yea, the feature definitely wasn't intentionally excluded (although I don't
think gtk entries support it by default unless they're running in emacs mode)

Anyway, we should fix this, but would you mind moving the bug upstream?  If you
don't want to, I can.

Jon or I will probably still be the ones that end up fixing the issue, but it's
nicer when the reports are in one place.

Comment 2 Jim Radford 2008-07-07 21:21:09 UTC
Thanks Ray.  I added the bug to the gnome bugzilla and linked it back here.

  http://bugzilla.gnome.org/show_activity.cgi?id=541958


Comment 3 Ray Strode [halfline] 2008-07-08 13:56:04 UTC
Thanks much, Jim.


Note You need to log in before you can comment on or make changes to this bug.